I'm trying to get a self-compiled ruby under cygwin to work with the 
binary Windows distribution of mysql; either via ruby-mysql or dbi/dbd.

I don't read Japanese unfortunately, and my skills on Windows is 
somewhat lacking.

Has anyone who's got this combination working give me some pointers on 
what exactly I need to download and install, and how to do it?  If that 
requires I use a different pre-compiled ruby, that's fine too, but I'd 
like to stick with 1.8.x or later.

Thanks.